org.eclipse.graphiti.mm.algorithms.styles

## Interface StylesPackage.Literals

Enclosing interface:
  StylesPackage

    public static interface StylesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `ABSTRACT_STYLE` The meta object literal for the '`Abstract Style`' class.
`static org.eclipse.emf.ecore.EReference` `ABSTRACT_STYLE__BACKGROUND` The meta object literal for the 'Background' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_STYLE__FILLED` The meta object literal for the 'Filled' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ABSTRACT_STYLE__FOREGROUND` The meta object literal for the 'Foreground' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_STYLE__LINE_STYLE` The meta object literal for the 'Line Style' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_STYLE__LINE_VISIBLE` The meta object literal for the 'Line Visible' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_STYLE__LINE_WIDTH` The meta object literal for the 'Line Width' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ABSTRACT_STYLE__RENDERING_STYLE` The meta object literal for the 'Rendering Style' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_STYLE__TRANSPARENCY` The meta object literal for the 'Transparency' attribute feature.
`static org.eclipse.emf.ecore.EClass` `ADAPTED_GRADIENT_COLORED_AREAS` The meta object literal for the '`Adapted Gradient Colored Areas`' class.
`static org.eclipse.emf.ecore.EReference` `ADAPTED_GRADIENT_COLORED_AREAS__ADAPTED_GRADIENT_COLORED_AREAS` The meta object literal for the 'Adapted Gradient Colored Areas' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `ADAPTED_GRADIENT_COLORED_AREAS__DEFINED_STYLE_ID` The meta object literal for the 'Defined Style Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ADAPTED_GRADIENT_COLORED_AREAS__GRADIENT_TYPE` The meta object literal for the 'Gradient Type' attribute feature.
`static org.eclipse.emf.ecore.EClass` `COLOR` The meta object literal for the '`Color`' class.
`static org.eclipse.emf.ecore.EAttribute` `COLOR__BLUE` The meta object literal for the 'Blue' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `COLOR__GREEN` The meta object literal for the 'Green' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `COLOR__RED` The meta object literal for the 'Red' attribute feature.
`static org.eclipse.emf.ecore.EClass` `FONT` The meta object literal for the '`Font`' class.
`static org.eclipse.emf.ecore.EAttribute` `FONT__BOLD` The meta object literal for the 'Bold' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `FONT__ITALIC` The meta object literal for the 'Italic' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `FONT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `FONT__SIZE` The meta object literal for the 'Size' attribute feature.
`static org.eclipse.emf.ecore.EClass` `GRADIENT_COLORED_AREA` The meta object literal for the '`Gradient Colored Area`' class.
`static org.eclipse.emf.ecore.EReference` `GRADIENT_COLORED_AREA__END` The meta object literal for the 'End' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `GRADIENT_COLORED_AREA__START` The meta object literal for the 'Start' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `GRADIENT_COLORED_AREAS` The meta object literal for the '`Gradient Colored Areas`' class.
`static org.eclipse.emf.ecore.EReference` `GRADIENT_COLORED_AREAS__GRADIENT_COLOR` The meta object literal for the 'Gradient Color' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `GRADIENT_COLORED_AREAS__STYLE_ADAPTION` The meta object literal for the 'Style Adaption' attribute feature.
`static org.eclipse.emf.ecore.EClass` `GRADIENT_COLORED_LOCATION` The meta object literal for the '`Gradient Colored Location`' class.
`static org.eclipse.emf.ecore.EReference` `GRADIENT_COLORED_LOCATION__COLOR` The meta object literal for the 'Color' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `GRADIENT_COLORED_LOCATION__LOCATION_TYPE` The meta object literal for the 'Location Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `GRADIENT_COLORED_LOCATION__LOCATION_VALUE` The meta object literal for the 'Location Value' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `LINE_STYLE` The meta object literal for the '`Line Style`' enum.
`static org.eclipse.emf.ecore.EEnum` `LOCATION_TYPE` The meta object literal for the '`Location Type`' enum.
`static org.eclipse.emf.ecore.EEnum` `ORIENTATION` The meta object literal for the '`Orientation`' enum.
`static org.eclipse.emf.ecore.EClass` `POINT` The meta object literal for the '`Point`' class.
`static org.eclipse.emf.ecore.EAttribute` `POINT__AFTER` The meta object literal for the 'After' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `POINT__BEFORE` The meta object literal for the 'Before' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `POINT__X` The meta object literal for the 'X' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `POINT__Y` The meta object literal for the 'Y' attribute feature.
`static org.eclipse.emf.ecore.EClass` `PRECISION_POINT` The meta object literal for the '`Precision Point`' class.
`static org.eclipse.emf.ecore.EAttribute` `PRECISION_POINT__X` The meta object literal for the 'X' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `PRECISION_POINT__Y` The meta object literal for the 'Y' attribute feature.
`static org.eclipse.emf.ecore.EClass` `RENDERING_STYLE` The meta object literal for the '`Rendering Style`' class.
`static org.eclipse.emf.ecore.EReference` `RENDERING_STYLE__ADAPTED_GRADIENT_COLORED_AREAS` The meta object literal for the 'Adapted Gradient Colored Areas' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `STYLE` The meta object literal for the '`Style`' class.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__ANGLE` The meta object literal for the 'Angle' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EReference` `STYLE__FONT` The meta object literal for the 'Font' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__HORIZONTAL_ALIGNMENT` The meta object literal for the 'Horizontal Alignment' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__PROPORTIONAL` The meta object literal for the 'Proportional' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__ROTATION` The meta object literal for the 'Rotation' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__STRETCH_H` The meta object literal for the 'Stretch H' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__STRETCH_V` The meta object literal for the 'Stretch V' attribute feature.
`static org.eclipse.emf.ecore.EReference` `STYLE__STYLE_CONTAINER` The meta object literal for the 'Style Container' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `STYLE__VERTICAL_ALIGNMENT` The meta object literal for the 'Vertical Alignment' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TEXT_STYLE` The meta object literal for the '`Text Style`' class.
`static org.eclipse.emf.ecore.EReference` `TEXT_STYLE__BACKGROUND` The meta object literal for the 'Background' reference feature.
`static org.eclipse.emf.ecore.EReference` `TEXT_STYLE__FONT` The meta object literal for the 'Font' reference feature.
`static org.eclipse.emf.ecore.EReference` `TEXT_STYLE__FOREGROUND` The meta object literal for the 'Foreground' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `TEXT_STYLE__STRIKEOUT` The meta object literal for the 'Strikeout' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TEXT_STYLE__STRIKEOUT_COLOR` The meta object literal for the 'Strikeout Color' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `TEXT_STYLE__UNDERLINE` The meta object literal for the 'Underline' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TEXT_STYLE__UNDERLINE_COLOR` The meta object literal for the 'Underline Color' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `TEXT_STYLE__UNDERLINE_STYLE` The meta object literal for the 'Underline Style' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TEXT_STYLE_REGION` The meta object literal for the '`Text Style Region`' class.
`static org.eclipse.emf.ecore.EAttribute` `TEXT_STYLE_REGION__END` The meta object literal for the 'End' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEXT_STYLE_REGION__START` The meta object literal for the 'Start' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TEXT_STYLE_REGION__STYLE` The meta object literal for the 'Style' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` `UNDERLINE_STYLE` The meta object literal for the '`Underline Style`' enum.

### Field Detail

#### RENDERING_STYLE

    static final org.eclipse.emf.ecore.EClass RENDERING_STYLE

The meta object literal for the '`Rendering Style`' class.

See Also:
  `RenderingStyleImpl`, `StylesPackageImpl.getRenderingStyle()`

#### RENDERING_STYLE__ADAPTED_GRADIENT_COLORED_AREAS

    static final org.eclipse.emf.ecore.EReference RENDERING_STYLE__ADAPTED_GRADIENT_COLORED_AREAS

The meta object literal for the 'Adapted Gradient Colored Areas' containment reference feature.

#### STYLE

    static final org.eclipse.emf.ecore.EClass STYLE

The meta object literal for the '`Style`' class.

See Also:
  `StyleImpl`, `StylesPackageImpl.getStyle()`

#### STYLE__ID

    static final org.eclipse.emf.ecore.EAttribute STYLE__ID

The meta object literal for the 'Id' attribute feature.

#### STYLE__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute STYLE__DESCRIPTION

The meta object literal for the 'Description' attribute feature.

#### STYLE__FONT

    static final org.eclipse.emf.ecore.EReference STYLE__FONT

The meta object literal for the 'Font' reference feature.

#### STYLE__HORIZONTAL_ALIGNMENT

    static final org.eclipse.emf.ecore.EAttribute STYLE__HORIZONTAL_ALIGNMENT

The meta object literal for the 'Horizontal Alignment' attribute feature.

#### STYLE__VERTICAL_ALIGNMENT

    static final org.eclipse.emf.ecore.EAttribute STYLE__VERTICAL_ALIGNMENT

The meta object literal for the 'Vertical Alignment' attribute feature.

#### STYLE__ANGLE

    static final org.eclipse.emf.ecore.EAttribute STYLE__ANGLE

The meta object literal for the 'Angle' attribute feature.

#### STYLE__STRETCH_H

    static final org.eclipse.emf.ecore.EAttribute STYLE__STRETCH_H

The meta object literal for the 'Stretch H' attribute feature.

#### STYLE__STRETCH_V

    static final org.eclipse.emf.ecore.EAttribute STYLE__STRETCH_V

The meta object literal for the 'Stretch V' attribute feature.

#### STYLE__PROPORTIONAL

    static final org.eclipse.emf.ecore.EAttribute STYLE__PROPORTIONAL

The meta object literal for the 'Proportional' attribute feature.

#### STYLE__STYLE_CONTAINER

    static final org.eclipse.emf.ecore.EReference STYLE__STYLE_CONTAINER

The meta object literal for the 'Style Container' container reference feature.

#### STYLE__ROTATION

    static final org.eclipse.emf.ecore.EAttribute STYLE__ROTATION

The meta object literal for the 'Rotation' attribute feature.

Since:
  0.11

#### ABSTRACT_STYLE

    static final org.eclipse.emf.ecore.EClass ABSTRACT_STYLE

The meta object literal for the '`Abstract Style`' class.

See Also:
  `AbstractStyleImpl`, `StylesPackageImpl.getAbstractStyle()`

#### ABSTRACT_STYLE__BACKGROUND

    static final org.eclipse.emf.ecore.EReference ABSTRACT_STYLE__BACKGROUND

The meta object literal for the 'Background' reference feature.

#### ABSTRACT_STYLE__FOREGROUND

    static final org.eclipse.emf.ecore.EReference ABSTRACT_STYLE__FOREGROUND

The meta object literal for the 'Foreground' reference feature.

#### ABSTRACT_STYLE__LINE_WIDTH

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_STYLE__LINE_WIDTH

The meta object literal for the 'Line Width' attribute feature.

#### ABSTRACT_STYLE__LINE_STYLE

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_STYLE__LINE_STYLE

The meta object literal for the 'Line Style' attribute feature.

#### ABSTRACT_STYLE__FILLED

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_STYLE__FILLED

The meta object literal for the 'Filled' attribute feature.

#### ABSTRACT_STYLE__LINE_VISIBLE

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_STYLE__LINE_VISIBLE

The meta object literal for the 'Line Visible' attribute feature.

#### ABSTRACT_STYLE__RENDERING_STYLE

    static final org.eclipse.emf.ecore.EReference ABSTRACT_STYLE__RENDERING_STYLE

The meta object literal for the 'Rendering Style' containment reference feature.

#### ABSTRACT_STYLE__TRANSPARENCY

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_STYLE__TRANSPARENCY

The meta object literal for the 'Transparency' attribute feature.

#### GRADIENT_COLORED_LOCATION

    static final org.eclipse.emf.ecore.EClass GRADIENT_COLORED_LOCATION

The meta object literal for the '`Gradient Colored Location`' class.

See Also:
  `GradientColoredLocationImpl`, `StylesPackageImpl.getGradientColoredLocation()`

#### GRADIENT_COLORED_LOCATION__LOCATION_TYPE

    static final org.eclipse.emf.ecore.EAttribute GRADIENT_COLORED_LOCATION__LOCATION_TYPE

The meta object literal for the 'Location Type' attribute feature.

#### GRADIENT_COLORED_LOCATION__LOCATION_VALUE

    static final org.eclipse.emf.ecore.EAttribute GRADIENT_COLORED_LOCATION__LOCATION_VALUE

The meta object literal for the 'Location Value' attribute feature.

#### GRADIENT_COLORED_LOCATION__COLOR

    static final org.eclipse.emf.ecore.EReference GRADIENT_COLORED_LOCATION__COLOR

The meta object literal for the 'Color' containment reference feature.

#### GRADIENT_COLORED_AREA

    static final org.eclipse.emf.ecore.EClass GRADIENT_COLORED_AREA

The meta object literal for the '`Gradient Colored Area`' class.

See Also:
  `GradientColoredAreaImpl`, `StylesPackageImpl.getGradientColoredArea()`

#### GRADIENT_COLORED_AREA__START

    static final org.eclipse.emf.ecore.EReference GRADIENT_COLORED_AREA__START

The meta object literal for the 'Start' containment reference feature.

#### GRADIENT_COLORED_AREA__END

    static final org.eclipse.emf.ecore.EReference GRADIENT_COLORED_AREA__END

The meta object literal for the 'End' containment reference feature.

#### GRADIENT_COLORED_AREAS

    static final org.eclipse.emf.ecore.EClass GRADIENT_COLORED_AREAS

The meta object literal for the '`Gradient Colored Areas`' class.

See Also:
  `GradientColoredAreasImpl`, `StylesPackageImpl.getGradientColoredAreas()`

#### GRADIENT_COLORED_AREAS__GRADIENT_COLOR

    static final org.eclipse.emf.ecore.EReference GRADIENT_COLORED_AREAS__GRADIENT_COLOR

The meta object literal for the 'Gradient Color' containment reference list feature.

#### GRADIENT_COLORED_AREAS__STYLE_ADAPTION

    static final org.eclipse.emf.ecore.EAttribute GRADIENT_COLORED_AREAS__STYLE_ADAPTION

The meta object literal for the 'Style Adaption' attribute feature.

#### ADAPTED_GRADIENT_COLORED_AREAS

    static final org.eclipse.emf.ecore.EClass ADAPTED_GRADIENT_COLORED_AREAS

The meta object literal for the '`Adapted Gradient Colored Areas`' class.

See Also:
  `AdaptedGradientColoredAreasImpl`, `StylesPackageImpl.getAdaptedGradientColoredAreas()`

#### ADAPTED_GRADIENT_COLORED_AREAS__DEFINED_STYLE_ID

    static final org.eclipse.emf.ecore.EAttribute ADAPTED_GRADIENT_COLORED_AREAS__DEFINED_STYLE_ID

The meta object literal for the 'Defined Style Id' attribute feature.

#### ADAPTED_GRADIENT_COLORED_AREAS__ADAPTED_GRADIENT_COLORED_AREAS

    static final org.eclipse.emf.ecore.EReference ADAPTED_GRADIENT_COLORED_AREAS__ADAPTED_GRADIENT_COLORED_AREAS

The meta object literal for the 'Adapted Gradient Colored Areas' containment reference list feature.

#### ADAPTED_GRADIENT_COLORED_AREAS__GRADIENT_TYPE

    static final org.eclipse.emf.ecore.EAttribute ADAPTED_GRADIENT_COLORED_AREAS__GRADIENT_TYPE

The meta object literal for the 'Gradient Type' attribute feature.

#### FONT

    static final org.eclipse.emf.ecore.EClass FONT

The meta object literal for the '`Font`' class.

See Also:
  `FontImpl`, `StylesPackageImpl.getFont()`

#### FONT__NAME

    static final org.eclipse.emf.ecore.EAttribute FONT__NAME

The meta object literal for the 'Name' attribute feature.

#### FONT__SIZE

    static final org.eclipse.emf.ecore.EAttribute FONT__SIZE

The meta object literal for the 'Size' attribute feature.

#### FONT__ITALIC

    static final org.eclipse.emf.ecore.EAttribute FONT__ITALIC

The meta object literal for the 'Italic' attribute feature.

#### FONT__BOLD

    static final org.eclipse.emf.ecore.EAttribute FONT__BOLD

The meta object literal for the 'Bold' attribute feature.

#### POINT

    static final org.eclipse.emf.ecore.EClass POINT

The meta object literal for the '`Point`' class.

See Also:
  `PointImpl`, `StylesPackageImpl.getPoint()`

#### POINT__X

    static final org.eclipse.emf.ecore.EAttribute POINT__X

The meta object literal for the 'X' attribute feature.

#### POINT__Y

    static final org.eclipse.emf.ecore.EAttribute POINT__Y

The meta object literal for the 'Y' attribute feature.

#### POINT__BEFORE

    static final org.eclipse.emf.ecore.EAttribute POINT__BEFORE

The meta object literal for the 'Before' attribute feature.

#### POINT__AFTER

    static final org.eclipse.emf.ecore.EAttribute POINT__AFTER

The meta object literal for the 'After' attribute feature.

#### COLOR

    static final org.eclipse.emf.ecore.EClass COLOR

The meta object literal for the '`Color`' class.

See Also:
  `ColorImpl`, `StylesPackageImpl.getColor()`

#### COLOR__RED

    static final org.eclipse.emf.ecore.EAttribute COLOR__RED

The meta object literal for the 'Red' attribute feature.

#### COLOR__GREEN

    static final org.eclipse.emf.ecore.EAttribute COLOR__GREEN

The meta object literal for the 'Green' attribute feature.

#### COLOR__BLUE

    static final org.eclipse.emf.ecore.EAttribute COLOR__BLUE

The meta object literal for the 'Blue' attribute feature.

#### PRECISION_POINT

    static final org.eclipse.emf.ecore.EClass PRECISION_POINT

The meta object literal for the '`Precision Point`' class.

Since:
  0.9
See Also:
  `PrecisionPointImpl`, `StylesPackageImpl.getPrecisionPoint()`

#### PRECISION_POINT__X

    static final org.eclipse.emf.ecore.EAttribute PRECISION_POINT__X

The meta object literal for the 'X' attribute feature.

Since:
  0.9

#### PRECISION_POINT__Y

    static final org.eclipse.emf.ecore.EAttribute PRECISION_POINT__Y

The meta object literal for the 'Y' attribute feature.

Since:
  0.9

#### TEXT_STYLE

    static final org.eclipse.emf.ecore.EClass TEXT_STYLE

The meta object literal for the '`Text Style`' class.

Since:
  0.10
See Also:
  `TextStyleImpl`, `StylesPackageImpl.getTextStyle()`

#### TEXT_STYLE__UNDERLINE

    static final org.eclipse.emf.ecore.EAttribute TEXT_STYLE__UNDERLINE

The meta object literal for the 'Underline' attribute feature.

Since:
  0.10

#### TEXT_STYLE__UNDERLINE_STYLE

    static final org.eclipse.emf.ecore.EAttribute TEXT_STYLE__UNDERLINE_STYLE

The meta object literal for the 'Underline Style' attribute feature.

Since:
  0.10

#### TEXT_STYLE__STRIKEOUT

    static final org.eclipse.emf.ecore.EAttribute TEXT_STYLE__STRIKEOUT

The meta object literal for the 'Strikeout' attribute feature.

Since:
  0.10

#### TEXT_STYLE__FONT

    static final org.eclipse.emf.ecore.EReference TEXT_STYLE__FONT

The meta object literal for the 'Font' reference feature.

Since:
  0.10

#### TEXT_STYLE__FOREGROUND

    static final org.eclipse.emf.ecore.EReference TEXT_STYLE__FOREGROUND

The meta object literal for the 'Foreground' reference feature.

Since:
  0.10

#### TEXT_STYLE__BACKGROUND

    static final org.eclipse.emf.ecore.EReference TEXT_STYLE__BACKGROUND

The meta object literal for the 'Background' reference feature.

Since:
  0.10

#### TEXT_STYLE__UNDERLINE_COLOR

    static final org.eclipse.emf.ecore.EReference TEXT_STYLE__UNDERLINE_COLOR

The meta object literal for the 'Underline Color' reference feature.

Since:
  0.10

#### TEXT_STYLE__STRIKEOUT_COLOR

    static final org.eclipse.emf.ecore.EReference TEXT_STYLE__STRIKEOUT_COLOR

The meta object literal for the 'Strikeout Color' reference feature.

Since:
  0.10

#### TEXT_STYLE_REGION

    static final org.eclipse.emf.ecore.EClass TEXT_STYLE_REGION

The meta object literal for the '`Text Style Region`' class.

Since:
  0.10
See Also:
  `TextStyleRegionImpl`, `StylesPackageImpl.getTextStyleRegion()`

#### TEXT_STYLE_REGION__START

    static final org.eclipse.emf.ecore.EAttribute TEXT_STYLE_REGION__START

The meta object literal for the 'Start' attribute feature.

Since:
  0.10

#### TEXT_STYLE_REGION__END

    static final org.eclipse.emf.ecore.EAttribute TEXT_STYLE_REGION__END

The meta object literal for the 'End' attribute feature.

Since:
  0.10

#### TEXT_STYLE_REGION__STYLE

    static final org.eclipse.emf.ecore.EReference TEXT_STYLE_REGION__STYLE

The meta object literal for the 'Style' containment reference feature.

Since:
  0.10

#### LINE_STYLE

    static final org.eclipse.emf.ecore.EEnum LINE_STYLE

The meta object literal for the '`Line Style`' enum.

See Also:
  `LineStyle`, `StylesPackageImpl.getLineStyle()`

#### ORIENTATION

    static final org.eclipse.emf.ecore.EEnum ORIENTATION

The meta object literal for the '`Orientation`' enum.

See Also:
  `Orientation`, `StylesPackageImpl.getOrientation()`

#### LOCATION_TYPE

    static final org.eclipse.emf.ecore.EEnum LOCATION_TYPE

The meta object literal for the '`Location Type`' enum.

See Also:
  `LocationType`, `StylesPackageImpl.getLocationType()`

#### UNDERLINE_STYLE

    static final org.eclipse.emf.ecore.EEnum UNDERLINE_STYLE

The meta object literal for the '`Underline Style`' enum.

Since:
  0.10
See Also:
  `UnderlineStyle`, `StylesPackageImpl.getUnderlineStyle()`